org.springframework.beans.factory.support

## Class AutowireCandidateQualifier

- java.lang.Object
- - org.springframework.core.AttributeAccessorSupport
  - - org.springframework.beans.BeanMetadataAttributeAccessor
    - - org.springframework.beans.factory.support.AutowireCandidateQualifier

All Implemented Interfaces:
  Serializable, BeanMetadataElement, AttributeAccessor

    public class AutowireCandidateQualifier
    extends BeanMetadataAttributeAccessor

Qualifier for resolving autowire candidates. A bean definition that includes one or more such qualifiers enables fine-grained matching against annotations on a field or parameter to be autowired.

Since:
  2.5
Author:
  Mark Fisher, Juergen Hoeller
See Also:
  `Qualifier`, Serialized Form

### Field Summary

Fields
`static String` `VALUE_KEY`

### Constructor Summary

Constructors
Constructor and Description
`AutowireCandidateQualifier(Class type)` Construct a qualifier to match against an annotation of the given type.
`AutowireCandidateQualifier(Class type, Object value)` Construct a qualifier to match against an annotation of the given type whose `value` attribute also matches the specified value.
`AutowireCandidateQualifier(String typeName)` Construct a qualifier to match against an annotation of the given type name.
`AutowireCandidateQualifier(String typeName, Object value)` Construct a qualifier to match against an annotation of the given type name whose `value` attribute also matches the specified value.

### Method Summary

Methods
`String` `getTypeName()` Retrieve the type name.

### Methods inherited from class org.springframework.beans.BeanMetadataAttributeAccessor

`addMetadataAttribute, getAttribute, getMetadataAttribute, getSource, removeAttribute, setAttribute, setSource`

### Methods inherited from class org.springframework.core.AttributeAccessorSupport

`attributeNames, copyAttributesFrom, equals, hasAttribute, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### VALUE_KEY

    public static String VALUE_KEY

### Constructor Detail

#### AutowireCandidateQualifier

    public AutowireCandidateQualifier(Class type)

Construct a qualifier to match against an annotation of the given type.

Parameters:
  `type` - the annotation type

#### AutowireCandidateQualifier

    public AutowireCandidateQualifier(String typeName)

Construct a qualifier to match against an annotation of the given type name.

The type name may match the fully-qualified class name of the annotation or the short class name (without the package).

Parameters:
  `typeName` - the name of the annotation type

#### AutowireCandidateQualifier

    public AutowireCandidateQualifier(Class type,
                              Object value)

Construct a qualifier to match against an annotation of the given type whose `value` attribute also matches the specified value.

Parameters:
  `type` - the annotation type
  `value` - the annotation value to match

#### AutowireCandidateQualifier

    public AutowireCandidateQualifier(String typeName,
                              Object value)

Construct a qualifier to match against an annotation of the given type name whose `value` attribute also matches the specified value.

The type name may match the fully-qualified class name of the annotation or the short class name (without the package).

Parameters:
  `typeName` - the name of the annotation type
  `value` - the annotation value to match

### Method Detail

#### getTypeName

    public String getTypeName()

Retrieve the type name. This value will be the same as the type name provided to the constructor or the fully-qualified class name if a Class instance was provided to the constructor.